Upgrading PHP and Apache Tomcat on Snow Leopard Server?

njbrubaker

Registered
Is it possible to upgrade the PHP and Apache Tomcat versions that shipped with Snow Leopard Server to more recent versions? If so, how is this done?
 

BjarneDM

Registered
It's possible

I'ld recommend macports for the new versions.

For PHP5 I'ld then use apxs to get PHP5 into Apache with something like this :
Code:
${prefix}/${apachedir}/bin/apxs -e \
    -S SYSCONFDIR=${prefix}/${apachedir}/conf/standard \
    -S TARGET=11111-dso \
    -n "php5" \
    -a modules/mod_php5.so \
     2>@1
You'll of course have to modify the paths to reflect where Mac OS X Server has it's stuff installed.

I don't know anything about Tomcat, so you are on your own there or you'll have to get some advise from someone eise.
 
Top